/**************************************************************************/
/*
/* simple example using Direct I/O driver pilpxi for PXI
/*
/**************************************************************************/

#include <utility.h>
#include "pilpxi.h"

unsigned long status, cardNum, slot, bus;
unsigned long ch, subUnit;
int state;
char ID_String[100];

/**************************************************************************/

int __stdcall WinMain (HINSTANCE hInstance, HINSTANCE hPrevInstance,
					   LPSTR lpszCmdLine, int nCmdShow)
{
	if (InitCVIRTE (hInstance, 0, 0) == 0)
		return -1;    /* out of memory */
	
	// initializing card, returning cardNum for further reference
	status = PIL_OpenSpecifiedCard (bus=4, slot=14, &cardNum);

	// obtaining the card's ID string like 
	// "PICKERING INTERFACES,productNum,serialNum,firmwareRevisison"
	status = PIL_CardId (cardNum, ID_String);

	// set a given channel's state to 0=OPEN or 1=CLOSE
	status = PIL_OpBit (cardNum, subUnit=1, ch=2, state=1);

	// closing card, actual switch status does not change on close
	status = PIL_CloseSpecifiedCard (cardNum);
		
	return 0;
}
